Skip to main content

Get release status by catalog ID

GET 

/api/v2/device/releases/:catalog_id

Retrieves the installation status for a specific software release on the root device. Returns delivery progress, deployment status, and current installation state. Only accessible for components in delivery state or beyond.

Request

Path Parameters

    catalog_id stringrequired

    Catalog ID of the release

Responses

Schema

    artsDirPath stringnullable

    Artifacts folder path

    deliveryState object

    deviceReleaseStatus

    object

    nullable

    Status enum that can be either a delivery status or a deployment status

    oneOf

    string

    downloadDuration int32nullable

    Download duration in seconds (for delivery state)

    errMsg stringnullable

    Error message if any error occurred

    eta int64nullable

    Estimated time remaining in seconds

    progress floatnullable

    Progress percentage (0-100)

    release

    object

    required

    createdAt date-timerequired
    dependencies undefined[]nullable
    displayName stringnullable

    Human-readable display name of the project

    id stringrequired
    label stringnullable

    Label associated with the project

    latest booleannullable
    metadata objectnullable
    policies undefined[]nullable

    Policies associated with this release

    projectId int32required
    projectName stringrequired
    releaseNotes stringnullable
    releasedAt date-timenullable
    size int64nullable
    status Statusrequired

    Possible values: [draft, in_review, approved, released, archived]

    type Typerequired

    Possible values: [product, formation]

    updatedAt date-timerequired
    version stringrequired
    state DeviceReleaseStaterequired

    Possible values: [delivery, downloaded, deleted, deploy, installed, uninstalled]

    Represents the state of a release on the device Only covers delivery state and beyond — Offering/Push are not exposed on this endpoint

Loading...